petsc-3.4.2 2013-07-02

# SectionIntRestrictClosureWithArray

Returns an array with the values in a given closure

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode SectionIntRestrictClosureWithArray(SectionInt section, DM dm, PetscInt point, PetscInt n, PetscInt values[])

Not Collective

### Input Parameters

| section | - The section
| mesh | - The DMMesh object
| point | - The sieve point
| n | - The array size
| array | - The array to fill up

### Output Parameter

array -The array full of values in the closure

### Keywords

mesh, elements

### See Also

DMMeshCreate()

Level:intermediate
Location:src/dm/impls/mesh/section.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages